glibmm: Gio::TlsServerConnection Class Reference

glibmm 2.77.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::TlsServerConnection Class Reference

TLS server-side connection. More...

`#include <giomm/tlsserverconnection.h>`

Inheritance diagram for Gio::TlsServerConnection:
[legend]

## Public Member Functions
| TlsServerConnection (TlsServerConnection && src) noexcept
TlsServerConnection & | operator= (TlsServerConnection && src) noexcept
| ~TlsServerConnection () noexcept override
GTlsServerConnection * | gobj ()
| Provides access to the underlying C GObject. More...
const GTlsServerConnection * | gobj () const
| Provides access to the underlying C GObject. More...
Glib::PropertyProxy< TlsAuthenticationMode > | property_authentication_mode ()
| The TlsAuthenticationMode for the server. More...
Glib::PropertyProxy_ReadOnly< TlsAuthenticationMode > | property_authentication_mode () const
| The TlsAuthenticationMode for the server. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (Interface && src) noexcept
Interface & | operator= (Interface && src) noexcept
| Interface (const Glib::Interface_Class & interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject * castitem)
| Called by constructors of derived classes. More...
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring & property_name, const Glib::ValueBase & value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring & property_name, Glib::ValueBase & value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring & property_name, const PropertyType & value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring & property_name, PropertyType & value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
PropertyType | get_property (const Glib::ustring & property_name) const
| You probably want to use a specific property_*() accessor method instead. More...
sigc::connection | connect_property_changed (const Glib::ustring & property_name, const sigc::slot< void()> & slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed (const Glib::ustring & property_name, sigc::slot< void()> && slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject * | gobj ()
| Provides access to the underlying C GObject. More...
const GObject * | gobj () const
| Provides access to the underlying C GObject. More...
GObject * | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< TlsServerConnectionImpl > | create (const Glib::RefPtr< IOStream > & base_io_stream, const Glib::RefPtr< TlsCertificate > & certificate)
| Creates a new TlsServerConnection wrapping base_io_stream (which must have pollable input and output streams). More...

## Protected Member Functions
| TlsServerConnection ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char * custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info & custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
| ObjectBase (ObjectBase && src) noexcept
ObjectBase & | operator= (ObjectBase && src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject * castitem)
void | initialize_move (GObject * castitem, Glib::ObjectBase * previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::TlsServerConnection > | wrap (GTlsServerConnection * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

TLS server-side connection.

TlsServerConnection is the server-side subclass of TlsConnection, representing a server-side TLS connection.

Since glibmm 2.36:

## Constructor & Destructor Documentation

## ◆ TlsServerConnection() [1/2]

Gio::TlsServerConnection::TlsServerConnection | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ TlsServerConnection() [2/2]

Gio::TlsServerConnection::TlsServerConnection | ( | TlsServerConnection && | src | ) |
| noexcept

## ◆ ~TlsServerConnection()

Gio::TlsServerConnection::~TlsServerConnection | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gio::TlsServerConnection::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ create()

static Glib::RefPtr< TlsServerConnectionImpl > Gio::TlsServerConnection::create | ( | const Glib::RefPtr< IOStream > & | base_io_stream,
|  | const Glib::RefPtr< TlsCertificate > & | certificate
| ) |  |
| static

Creates a new TlsServerConnection wrapping base_io_stream (which must have pollable input and output streams).

See the documentation for TlsConnection::property_base_io_stream() for restrictions on when application code can run operations on the base_io_stream after this function has returned.

Since glibmm 2.28:

Parameters

  base_io_stream | The IOStream to wrap.
  certificate | The default server certificate, or `nullptr`.

Returns
  The new TlsServerConnection, or `nullptr` on error.

Exceptions

  Glib::Error |

## ◆ get_type()

static GType Gio::TlsServerConnection::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GTlsServerConnection * Gio::TlsServerConnection::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GTlsServerConnection * Gio::TlsServerConnection::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

TlsServerConnection & Gio::TlsServerConnection::operator= | ( | TlsServerConnection && | src | ) |
| noexcept

## ◆ property_authentication_mode() [1/2]

Glib::PropertyProxy< TlsAuthenticationMode > Gio::TlsServerConnection::property_authentication_mode | ( |  | ) |

The TlsAuthenticationMode for the server.

This can be changed before calling g_tls_connection_handshake() if you want to rehandshake with a different mode from the initial handshake.

Since glibmm 2.28:

Default value: Gio::GTlsAuthenticationMode::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_authentication_mode() [2/2]

Glib::PropertyProxy_ReadOnly< TlsAuthenticationMode > Gio::TlsServerConnection::property_authentication_mode | ( |  | ) | const

The TlsAuthenticationMode for the server.

This can be changed before calling g_tls_connection_handshake() if you want to rehandshake with a different mode from the initial handshake.

Since glibmm 2.28:

Default value: Gio::GTlsAuthenticationMode::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gio::TlsServerConnection > wrap | ( | GTlsServerConnection * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.